<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

call_user_func(
	static function () {
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
			'SGalinski.sg_mail',
			'web',
			'Mail',
			'',
			[
				'Mail' => 'index, sendTestMail, empty, reset',
				'Queue' => 'index, sendMail, export, preview',
				'Configuration' => 'index, create, edit, delete',
				'Layout' => 'index',
				'Newsletter' => 'index, sendTestMail, empty',
			],
			[
				'access' => 'user,group',
				'icon' => 'EXT:sg_mail/Resources/Public/Icons/ModuleIcon.svg',
				'labels' => 'LLL:EXT:sg_mail/Resources/Private/Language/locallang.xlf',
			]
		);

		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sgmail_domain_model_mail');
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgmail_domain_model_template'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sgmail_domain_model_layout');
	}
);
